Building Qt for Linux/es

From Qt Wiki
Jump to: navigation, search
This article may require cleanup to meet the Qt Wiki's quality standards. Reason: Auto-imported from ExpressionEngine.
Please improve this article if you can. Remove the {{cleanup}} tag and add this page to Updated pages list after it's clean.

English Português Русский 日本語

Compilar Qt para Linux

Qt es un marco de desarrollo, el cual tiene muchos módulos, opciones de configuración y características opcionales. Encarar su compilación, puede ser un desafío, especialmente encontrar la manera de instalar las dependencias que necesita.

Las características que se pueden considerar como una "configuración estándar mínimo" en Linux son: ZLib, JPEG, TIFF, MNG, PNG, OpenGL, GStreamer, ALSA, FreeType, FontConfig, CUPS, D-Bus, X*, OpenSSL, y SQLite.

A continuación se encuentra la lista completa de nombres de los paquetes de las dependencias para todas las versiones de Qt entre la 4.5 y el trunk de Diciembre de 2010. Actualmente sólo los nombres de los paquetes de Ubuntu se han incluido, puede usar estos nombres como guía ya que no varían mucho en otras distribuciones.

El columna "Módulo" indica el módulo de más bajo nivel que utiliza la característica (es decir, si utiliza la característica de QtCore, QtGui no será incluido). Módulos múltiples solo son listados si no son interdependientes.

Dependencia Módulo Opción de configuración Qt/X11? Qt/Embedded? Qt 4.5 Qt 4.6 Qt 4.7 Qt 4.8 (trunk)
ZLib QtCore system]‑zlib X X X X X X
JPEG QtCore system]‑libjpeg X X X X X X
TIFF QtCore system]‑libtiff X X X X X X
MNG QtCore system]‑libmng X X X X X X
PNG QtCore system]‑libpng X X X X X X
OpenGL QtOpenGL ‑opengl X X X X X
OpenGL ES 1 QtOpenGL ‑opengl es1 X X X[1] X X X
OpenGL ES 1 CL QtOpenGL ‑opengl es1cl X X X[2] X X X
OpenGL ES 2 QtOpenGL ‑opengl es2 X X X[3] X X X
EGL QtOpenGL 1cl|2] X X[4] X X X X
OpenVG QtOpenVG ‑openvg X X X X X
ShivaVG QtOpenVG ‑openvg X X X X X
DirectFB QtGui plugin]‑gfx‑directfb X X X X X
GStreamer[5] Phonon ‑phonon X X X X X X
PulseAudio Phonon ‑phonon‑backend X X X X X
ALSA QtMultimedia ‑multimedia X X X X X
NAS Sound QtGui ‑system‑nas‑sound X X X X X
FreeType QtGui ‑freetype X X X X X X
FontConfig QtGui ‑fontconfig X X X X X
tslib QtGui plugin]‑mouse‑tslib X X X X X
Cups QtGui ‑cups X X X X X X
D‑Bus QtDBus ‑dbus[‑linked] X X X X X X
ICD QtNetwork ‑icd X X X X
GLib QtCore ‑glib X X X X X X
GTK QtGui ‑gtkstyle X X X X X
X11 QtGui none X X X X X
XShape QtGui ‑xshape X X X X X
XCursor QtGui ‑xcursor X X X X X
XFixes QtGui ‑xfixes X X X X X
XRandr QtGui ‑xrandr X X X X X
XRender QtGui, QtWebKit ‑xrender X X X X X
XVideo Phonon, QtMultimedia ‑xvideo X X X X X
Xinerama QtGui ‑xinerama X X X X X
XInput QtGui ‑xinput X X X X X
Session management QtGui ‑sm X X X X X
OpenSSL QtNetwork, QtWebKit ‑openssl[‑linked] X X X X X X
Interbase QtSql plugin]‑sql‑ibase X X X X X X
MySQL QtSql plugin]‑sql‑mysql X X X X X X
ODBC[6] QtSql plugin]‑sql‑odbc X X X X X X
PostgreSQL QtSql plugin]‑sql‑psql X X X X X X
SQLite 2 QtSql plugin]‑sql‑sqlite2 X X X X X X
SQLite 3 QtSql plugin]‑sql‑sqlite X X X X X X
TDS QtSql plugin]‑sql‑tds X X X X X X
Dependencia Ubuntu Lucid Ubuntu Maverick
ZLib zlib1g‑dev zlib1g‑dev
JPEG libjpeg62‑dev libjpeg62‑dev
TIFF libtiff4‑dev libtiff4‑dev
MNG libmng‑dev libmng‑dev
PNG libpng12‑dev libpng12‑dev
OpenGL mesa‑common‑dev, libglu1‑mesa‑dev mesa‑common‑dev, libglu1‑mesa‑dev
OpenGL ES 1 none libgles1‑mesa‑dev[7]
OpenGL ES 1 CL none libgles1‑mesa‑dev
OpenGL ES 2 none libgles2‑mesa‑dev
EGL none libgles2‑mesa‑dev or libegl1‑mesa‑dev
OpenVG none libopenvg1‑mesa‑dev
ShivaVG none none
DirectFB libdirectfb‑dev libdirectfb‑dev
GStreamer libgstreamer0.10‑dev, libgstreamer‑plugins‑base0.10‑dev libgstreamer0.10‑dev, libgstreamer‑plugins‑base0.10‑dev
PulseAudio libpulse‑dev libpulse‑dev
NAS Sound libaudio‑dev libaudio‑dev
ALSA libasound2‑dev libasound2‑dev
FreeType libfreetype6‑dev libfreetype6‑dev
FontConfig libfontconfig1‑dev libfontconfig1‑dev
tslib libts‑dev libts‑dev
Cups libcups2‑dev libcups2‑dev
D‑Bus libdbus‑1‑dev libdbus‑1‑dev
ICD none none
GLib libglib2.0‑dev libglib2.0‑dev
GTK libgtk2.0‑dev libgtk2.0‑dev
X11 libx11‑dev, libxext‑dev libx11‑dev, libxext‑dev
XCursor libxcursor‑dev libxcursor‑dev
XFixes libxfixes‑dev libxfixes‑dev
XRandr libxrandr‑dev libxrandr‑dev
XRender libxrender‑dev libxrender‑dev
XVideo libxv‑dev libxv‑dev
Xinerama libxinerama‑dev libxinerama‑dev
XInput libxi‑dev libxi‑dev
Session management libsm‑dev libsm‑dev
OpenSSL libssl‑dev libssl‑dev
Interbase firebird2.1‑dev firebird2.5‑dev or firebird2.1‑dev
MySQL libmysqlclient‑dev libmysqlclient‑dev
ODBC unixodbc‑dev or libiodbc2‑dev[8] unixodbc‑dev or libiodbc2‑dev[9]
PostgreSQL libpq‑dev libpq‑dev
SQLite 2 libsqlite0‑dev libsqlite0‑dev
SQLite 3 libsqlite3‑dev libsqlite3‑dev
TDS freetds‑dev[6] freetds‑dev[6]
  1. Aunque esta soportado, no he encontrado una forma de compilar esta opción en Qt 4.5
  2. Aunque esta soportado, no he encontrado una forma de compilar esta opción en Qt 4.5
  3. Aunque esta soportado, no he encontrado una forma de compilar esta opción en Qt 4.5
  4. Es necesario pasar ‑DMESA_EGL_NO_X11_HEADERS a "configure" en la compilación de Qt / Embedded. Posiblemente esto se podría hacer a través de. qmake.cache?
  5. Es necesario pasar "$(pkg‑config gstreamer‑interfaces‑0.10 gstreamer‑video‑0.10 gstreamer‑base‑0.10 ‑‑cflags‑only‑I)" a "configure".
  6. Esto también requiere de un proveedor de libGLES_CM.so.
  7. Esto también requiere de un proveedor de libGLES_CM.so.
  8. Usar libiodbc2 en lugar de unixodbc es soportado a partir de Qt 4.6.
  9. Usar libiodbc2 en lugar de unixodbc es soportado a partir de Qt 4.6.